# Class Power#unsetOnOffTimeSchedule

Time

- Defined in: power.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Power#unsetOnOffTimeSchedule(successCallback, errorCallback) Unset On/Off time schedule List

## Class Detail

Power#unsetOnOffTimeSchedule(successCallback, errorCallback)
Unset On/Off time schedule List

    // Javascript code
     function unsetOnOffTimeSchedule () {
         function successCb(cbObject) {
             console.log("success");
             // Do something
         }
         function failureCb(cbObject) {
             var errorCode = cbObject.errorCode;
             var errorText = cbObject.errorText;
             console.log ("Error Code [" + errorCode + "]: " + errorText);
         }
         var power = new Power();
         power.unsetOnOffTimeSchedule(successCb, failureCb);
     }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.5
Returns:
  {Object}
See:
  Power.setOnOffTimeSchedule()
  Power.getOnOffTimeSchedule()